.titleBar { margin-bottom: 5px!important; }

Suse 9.1 Bristuff-0.2.0-RC7f Installation scheitert

Dieses Thema im Forum "Asterisk ISDN mit CAPI (chan_capi, chan_capi_cm)" wurde erstellt von knusben, 24 Feb. 2005.

  1. knusben

    knusben Neuer User

    Registriert seit:
    24 Feb. 2005
    Beiträge:
    22
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo,

    ich habe Suse 9.1 Professional installiert, meine 2 AVM ISDN-Karten (1 PCI und 1 ISA) eingerichtet und die neuesten Online-Updates eingespielt.

    Folgende Pakete habe ich bei der Installation miteingespielt : bison, cvs, gcc, kernel-source, termcap, openssl, readline, libncurses.

    Dann habe ich mir den neuesten Bristuff (bristuff-0.2.0-RC7f)runtergeladen und entpackt. Er lädt auch die ganze Pakete nach und entpackt sie, kein Problem. zaptel, libpri, quadbri, hfc-pci Installation läuft durch, nur beim kompilieren vons Asterisk triit folgender Fehlr auf :

    >
    checking for tgetent in -lncurses... no
    configure: error: termcap support not found
    make: *** [editline/libedit.a] Error 1
    >

    Woran könnte das liegen ?
    Yast sagt mir aber das termcap installiert wär.
    Was tun ? :?:

    Thx

    Knusben
     
  2. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    ncurses devel installiert?


    MfG,
    Karl
     
  3. knusben

    knusben Neuer User

    Registriert seit:
    24 Feb. 2005
    Beiträge:
    22
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    ncurses devel war nicht installiert, habe das sofort nachgeholt.
    Jetzt bekomme ich aber folgende Fehlermeldung :
    >

    make[1]: Entering directory `/usr/src/asterisk/bristuff-0.2.0-C7f/asterisk-1.0.5/apps'
    make[1]: *** No rule to make target `app_pickup.so', needed by `all'. Stop.
    make[1]: Leaving directory `/usr/src/asterisk/bristuff-0.2.0-C7f/asterisk-1.0.5/apps'
    make: *** [subdirs] Error 1
    >

    Thx

    Knusben
     
  4. traxanos

    traxanos Mitglied

    Registriert seit:
    15 Juli 2004
    Beiträge:
    486
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    mach erstmal ein "make clean" auf allem
     
  5. knusben

    knusben Neuer User

    Registriert seit:
    24 Feb. 2005
    Beiträge:
    22
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Mmh hab ich auch probiert. Leider hat es auch nicht geklappt. Es erschien immer noch obiger Fehler. Habe mir dann so beholfen, das ich nicht den Bristuff genommen habe sondern asterisk und chan_capi einzeln installiert habe, dann hat's funtkioniert.
    Danke für die Tipps.
    Knusben
     
  6. hjoerg

    hjoerg Neuer User

    Registriert seit:
    30 Dez. 2004
    Beiträge:
    90
    Zustimmungen:
    1
    Punkte für Erfolge:
    8
    Also ich habe ähnliches Problem mit suse9.2 !

    bristuff-0.2.0-RC7i entpackt und mit install.sh installieren wollen, alles läuft sauber durch nur asterisk nicht.


    Code:
    gcc -shared -Xlinker -x -o app_test.so app_test.o
    gcc -pipe  -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -g  -Iinclude -I../include -D_REENTRANT -D_GNU_SOURCE  -O6 -march=i686   -DZAPTEL_OPTIMIZATIONS  -DASTERISK_VERSION=\"1.0.5-BRIstuffed-0.2.0-RC7i\" -DINSTALL_PREFIX=\"\" -DASTETCDIR=\"/etc/asterisk\" -DASTLIBDIR=\"/usr/lib/asterisk\" -DASTVARLIBDIR=\"/var/lib/asterisk\" -DASTVARRUNDIR=\"/var/run\" -DASTSPOOLDIR=\"/var/spool/asterisk\" -DASTLOGDIR=\"/var/log/asterisk\" -DASTCONFPATH=\"/etc/asterisk/asterisk.conf\" -DASTMODDIR=\"/usr/lib/asterisk/modules\" -DASTAGIDIR=\"/var/lib/asterisk/agi-bin\"     -DBUSYDETECT_MARTIN      -fPIC   -c -o app_forkcdr.o app_forkcdr.c
    gcc -shared -Xlinker -x -o app_forkcdr.so app_forkcdr.o
    make[1]: *** Keine Regel vorhanden, um das Target »app_pickup.so«, 
      benötigt von »all«, zu erstellen.  Schluss.
    make[1]: Leaving directory `/usr/src/asterisk/bristuff-0.2.0-RC7i/asterisk-1.0.5/apps'
    make: *** [subdirs] Fehler 1
    
    

    alle benötigten pakete wurden mitinstalliert !

    Was könnte das sein ?